<div class="container-fluid">
  <div class="col-12">
    <h1>{{title}}</h1>
    <div class="row">
      <div class="col-9">
        <!--cards usuarios-->
        
        <div class="card col-12 card-users" *ngFor="let follow of followed">
          <div class="card-body d-flex flex-row">
            <div class="row col-12">
              <div class="col-12 col-lg-2">
                <img src="{{url + 'get-image-user/'+ follow.user.image }}" alt="" class="avatar-users" *ngIf="follow.user.image" />
                <img src="assets/icon-user-default.png" class="avatar-users" alt="" *ngIf="!follow.user.image" />
              </div>
              <div class="col-12 col-lg-4">
                <a [routerLink]="['/profile',follow.user._id]">
                  <span class="font-weight-bold">{{follow.user.name +" "+follow.user.surname}}</span>
                </a>
                  <br>
                  <span>{{follow.user.nick}}</span>
                
              </div>
              <div class="col-12 col-lg d-flex justify-content-end" *ngIf="follow.user._id!=identity._id">
                <button class="btn btn-success btn-follow" *ngIf="follows.indexOf(follow.user._id)<0"
                  (click)=followUser(follow.user._id)>
                  <i class="fas fa-plus-square"></i>
                  Seguir
                </button>
                <button class="btn btn-primary btn-follow" (mouseenter)="muestraSiguiendo(follow.user._id)"
                  (mouseleave)="ocultaSiguiendo(follow.user._id)" *ngIf="follows.indexOf(follow.user._id)>=0"
                  [ngClass]="{'btn-danger':follow.user._id==followUserOver}" (click)="unfollowUser(follow.user._id)">
                  <span *ngIf="follow.user._id==followUserOver; else following">
                    <i class="fas fa-minus-square"></i>
                    Dejar de seguir
                  </span>
                  <ng-template #following>
                    <span>
                      <i class="fas fa-check-circle"></i>
                      Siguiendo
                    </span>
                  </ng-template>

                </button>
              </div>
            </div>
          </div>
          <div class="col-6 m-auto text-center alert alert-success alert-dismissible fade show d-none"
            id="span{{follow.user._id}}" role="alert">
            Has dejado de seguir al usuario
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
        </div>
        
        <!--Paginación-->
        <div class="clearfix"></div>
        <div class="col-12 d-flex justify-content-center">
          <ul class="pagination">
            <li class="page-item" *ngIf="page>1">
              <a class="page-link" [routerLink]="['/followed',prevPage]" aria-label="Previous">
                <span aria-hidden="true">Anterior</span>
              </a>
            </li>
            <li class="page-item" [ngClass]="{'active': page==pag}" *ngFor="let pag of arrayPages">
              <a class="page-link" [routerLink]="['/followed',pag]">{{pag}}</a>
            </li>
            <li class="page-item" *ngIf="page!=pages">
              <a class="page-link" [routerLink]="['/followed',nextPage]" aria-label="Next">
                <span aria-hidden="true">Siguiente</span>
              </a>
            </li>
          </ul>
        </div>
      </div>

      <div class="col-3">
        <!--Barra de usuarios-->
        <sidebar></sidebar>
      </div>
    </div>

  </div>
</div>

